# Copyright (c) 2002 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: runner.py,v 1.2 2002/12/24 14:07:46 zagy Exp $


"""Process a batch command.

Read a pickle from stdin, which is assumed to be a BatchCommand
object. Then call the object's run() method, and pickle the
result and write it to stdout.
"""

import sys, cPickle, os
from batchprocessor import error

sys.stdout = sys.stderr

# set binary mode on stdin/out
try:
    import msvcrt
    msvcrt.setmode(sys.__stdout__.fileno(), os.O_BINARY)
    msvcrt.setmode(sys.__stdin__.fileno(), os.O_BINARY)
except ImportError:
    pass


# load command
command = cPickle.load(sys.__stdin__)

# run it
try:
    result = command.run()
except:
    result = error.BatchError()

# write result
cPickle.dump(result, sys.__stdout__)
sys.__stdout__.flush()

# exit
sys.exit(0)
